Bug 1477184 (CVE-2017-7546) - CVE-2017-7546 postgresql: Empty password accepted in some authentication methods
Summary: CVE-2017-7546 postgresql: Empty password accepted in some authentication methods
Status: NEW
Alias: CVE-2017-7546
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170810,repor...
Keywords: Security
Depends On: 1480282 1477694 1477695 1480283 1480284 1484644 1484645 1484646 1484647 1484648 1484649 1484677 1484678
Blocks: 1477189
TreeView+ depends on / blocked
 
Reported: 2017-08-01 12:24 UTC by Adam Mariš
Modified: 2019-01-02 22:43 UTC (History)
30 users (show)

(edit)
It was found that authenticating to a PostgreSQL database account with an empty password was possible despite libpq's refusal to send an empty password. A remote attacker could potentially use this flaw to gain access to database accounts with empty passwords.
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2677 normal SHIPPED_LIVE Moderate: rh-postgresql95-postgresql security update 2017-09-12 12:00:23 UTC
Red Hat Product Errata RHSA-2017:2678 normal SHIPPED_LIVE Moderate: rh-postgresql94-postgresql security update 2017-09-12 14:02:27 UTC
Red Hat Product Errata RHSA-2017:2728 normal SHIPPED_LIVE Moderate: postgresql security update 2017-09-14 11:12:38 UTC
Red Hat Product Errata RHSA-2017:2860 normal SHIPPED_LIVE Moderate: postgresql security update 2017-10-05 12:19:05 UTC

Description Adam Mariš 2017-08-01 12:24:01 UTC
Several authentication methods, including the widely-used "md5" method, permit empty passwords. On the client side, libpq will not send an empty password. This may have given a false impression that an empty password was equivalent to disabling the account with respect to authentication methods requiring a password. On the contrary, an attacker could easily authenticate as the user.

Supported vulnerable versions: 9.2 - 9.6

Upstream patch:

https://github.com/postgres/postgres/commit/d5d46d99ba47f

Comment 1 Adam Mariš 2017-08-01 12:24:10 UTC
Acknowledgments:

Name: the PostgreSQL project
Upstream: Ben de Graaff, Jelte Fennema, Jeroen van der Ham

Comment 4 Adam Mariš 2017-08-10 15:11:18 UTC
External References:

https://www.postgresql.org/about/news/1772/

Comment 5 Adam Mariš 2017-08-10 15:13:08 UTC
Created mingw-postgresql tracking bugs for this issue:

Affects: epel-7 [bug 1480282]
Affects: fedora-all [bug 1480283]


Created postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1480284]

Comment 8 errata-xmlrpc 2017-09-12 08:01:20 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:2677 https://access.redhat.com/errata/RHSA-2017:2677

Comment 9 errata-xmlrpc 2017-09-12 10:03:36 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:2678 https://access.redhat.com/errata/RHSA-2017:2678

Comment 10 errata-xmlrpc 2017-09-14 07:13:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2728 https://access.redhat.com/errata/RHSA-2017:2728

Comment 11 errata-xmlrpc 2017-10-05 08:19:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:2860 https://access.redhat.com/errata/RHSA-2017:2860

Comment 12 Kurt Seifried 2017-12-18 22:07:24 UTC
Statement:

Red Hat Satellite 5 are is in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.